This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 992642 - json-lib: FTBFS in rawhide
json-lib: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: json-lib (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F20FTBFS
  Show dependency treegraph
 
Reported: 2013-08-05 01:48 EDT by Dennis Gilmore
Modified: 2013-08-19 10:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-19 10:11:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fix rhbz#992642 (8.05 KB, patch)
2013-08-17 10:46 EDT, gil cattaneo
no flags Details | Diff

  None (edit)
Description Dennis Gilmore 2013-08-05 01:48:12 EDT
Your package json-lib failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5735119

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/5119/5735119/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/5119/5735119/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/5119/5735119/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 gil cattaneo 2013-08-17 10:46:42 EDT
Created attachment 787563 [details]
fix rhbz#992642

- fix rhbz#992642
- remove, not required, antlr3-tool, asm2, dom4j, jaxen
- use pom macros
- use groovy ant task (PATCH0)
- minor changes to adapt to current guideline

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5824422
Comment 2 Fedora Admin XMLRPC Client 2013-08-19 09:30:58 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 gil cattaneo 2013-08-19 10:11:47 EDT
should fixed in json-lib-2.3-12.fc20

Note You need to log in before you can comment on or make changes to this bug.